<template>
  <div id="app" class="container">
    <c-notify></c-notify>
    <c-form class="my-4" ref="CForm" @refresh="onRefresh"></c-form>

    <c-table ref="CTable" @edit="onEdit" @refresh="onRefresh"></c-table>
  </div>
</template>

<script>
import CForm from './components/CForm'
import CTable from './components/CTable'
import CNotify from './components/CNotify'

export default {
  name: 'App',
  components: {
    CTable,
    CForm,
    CNotify
  },

  methods: {
    onRefresh () {
      this.$refs.CTable.get()
    },

    onEdit (data) {
      this.$refs.CForm.setForm(data)
    }
  }
}
</script>

<style>

</style>
